All Classes Namespaces Functions Variables Pages
simtk.openmm.app.charmmcrdfiles Namespace Reference

## Classes

class | CharmmCrdFile
| Reads and parses a CHARMM coordinate file (.crd) into its components, namely the coordinates, CHARMM atom types, resid, resname, etc. More...
class | CharmmRstFile
| Reads and parses data, velocities and coordinates from a CHARMM restart file (.rst) of file name 'fname' into class attributes. More...

## Variables

int | CHARMMLEN = 22
float | TIMESCALE = 4.888821E-14
int | ONE_TIMESCALE = 1

## Detailed Description

    Provides a class for parsing CHARMM-style coordinate files, namely CHARMM .crd

    (coordinate) files and CHARMM .rst (restart) file. Uses CharmmFile class in

    _charmmfile.py for reading files

    This file is part of the OpenMM molecular simulation toolkit originating from

    Simbios, the NIH National Center for Physics-Based Simulation of Biological

    Structures at Stanford, funded under the NIH Roadmap for Medical Research,

    grant U54 GM072970. See https://simtk.org.  This code was originally part of

    the ParmEd program and was ported for use with OpenMM.

    Copyright (c) 2014 the Authors

    Author: Jason Deckman

    Contributors: Jason M. Swails

    Date: June 6, 2014

    Permission is hereby granted, free of charge, to any person obtaining a

    copy of this software and associated documentation files (the "Software"),

    to deal in the Software without restriction, including without limitation

    the rights to use, copy, modify, merge, publish, distribute, sublicense,

    and/or sell copies of the Software, and to permit persons to whom the

    Software is furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in

    all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

    THE AUTHORS, CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,

    DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR

    OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE

    USE OR OTHER DEALINGS IN THE SOFTWARE.

## Variable Documentation

int CHARMMLEN = 22

int ONE_TIMESCALE = 1

float TIMESCALE = 4.888821E-14